﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace mobx.mobi.DAL
{
    public class MbMenuMetadata
    {
        #region Primitive Properties
        public int MenuId
        {
            get;
            set;
        }

        public int SortOrder
        {
            get;
            set;
        }
        
        [DisplayName("Link Text")]
        [StringLength(255)]
        public string LinkText
        {
            get;
            set;
        }

        [DisplayName("URL")]
        [StringLength(2000)]
        public string LinkUrl
        {
            get;
            set;
        }

        [DisplayName("Select Page")]
        public int? LinkToPageId
        {
            get;
            set;
        }
        #endregion
    }
}
