﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Areas.Admin.Models.ChangePasswordModel>" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="changePasswordTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Change Password
</asp:Content>
<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Change Password</h2>
    <p>
        Use the form below to change your password. 
    </p>
    <p>
        New passwords are required to be a minimum of <%: Membership.MinRequiredPasswordLength %> characters in length.
    </p>
    <% using (Html.BeginForm()) { %>
        <%: Html.ValidationSummary(true, "Password change was unsuccessful. Please correct the errors and try again.") %>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(m => m.OldPassword) %>
            <%: Html.PasswordFor(m => m.OldPassword) %>
            <%: Html.ValidationMessageFor(m => m.OldPassword) %>
        </div>                
        <div data-role="fieldcontain">
            <%: Html.LabelFor(m => m.NewPassword) %>
            <%: Html.PasswordFor(m => m.NewPassword) %>
            <%: Html.ValidationMessageFor(m => m.NewPassword) %>
        </div>                
        <div data-role="fieldcontain">
            <%: Html.LabelFor(m => m.ConfirmPassword) %>
            <%: Html.PasswordFor(m => m.ConfirmPassword) %>
            <%: Html.ValidationMessageFor(m => m.ConfirmPassword) %>
        </div>
        <div>
            <input type="submit" value="Change Password" />
        </div>
    <% } %>
</asp:Content>