﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Areas.Admin.Models.LoginModel>" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Login
</asp:Content>
<asp:Content ID="loginContent" ContentPlaceHolderID="MainContent" runat="server">
    <form action="<%:Url.Content("~/Admin/Account/Login")%>" method="post" data-ajax="false">
        <%: Html.ValidationSummary(true, "Login was unsuccessful. Please correct the errors and try again.") %>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(m => m.Email) %>
            <%: Html.TextBoxFor(m => m.Email)%>
            <%: Html.ValidationMessageFor(m => m.Email)%>
        </div>                
        <div data-role="fieldcontain">
            <%: Html.LabelFor(m => m.Password) %>
            <%: Html.PasswordFor(m => m.Password) %>
            <%: Html.ValidationMessageFor(m => m.Password) %>
        </div>                
        <div data-role="fieldcontain">
            <%if (Model == null)
              {%>
                <%: Html.CheckBoxFor(m => m.RememberMe, new { @checked = "checked" })%>
            <%}
            else
            {%>
                <%: Html.CheckBoxFor(m => m.RememberMe) %>
            <%} %>
            <%: Html.LabelFor(m => m.RememberMe) %>
        </div>                
        <div>
            <input type="submit" value="Login" />
        </div>
        <div>
             <a href="<%:Url.Content("~/Admin/Account/ResetPassword")%>" data-role="button" rel="external" data-theme="b">Forgot Password</a>
        </div>
    </form>
</asp:Content>
