﻿<%@ Page Title="Site Pages" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<mobx.mobi.DAL.MbPage>>" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Site Pages
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <%if (Model != null && Model.Any()) {%>
        <ul data-role="listview" data-split-theme="d" data-inset="true" data-split-icon="grid">
            <% foreach (var item in Model) { 
                   int pageId = item.PageId;
                   string editUrl = "~/Admin/"+MbCommon.ParseControllerName(item.PageType)+"/Edit/"+pageId.ToString();
                   string previewUrl = "~/" + item.Alias + "?preview=1";
                   %>
                <li>
                    <a href="<%:Url.Content(editUrl)%>" rel="external">
                        <h3>
                            <%: Html.DisplayFor(modelItem => item.Title) %>
                        </h3>
                        <%
                            if (item.Published)
                            {
                                %>
                                <p style="font-weight:bold;color:Green;">
                                    Published
                                </p>
                                <%
                            }
                            else
                            {
                                %>
                                <p style="font-weight:bold;color:Red;">
                                    Not Published
                                </p>
                                <%
                            }
                        %>
                    </a>
                    <a href="<%:Url.Content(previewUrl)%>" rel="external">Preview</a>
                </li>
            <% } %>
        </ul>
    <%} 
    else
    {%>
        <h2>No pages</h2> 
    <%} %>
    <div data-role="fieldcontain">
        <a href="<%:Url.Content("~/admin/default/add")%>" data-role="button" data-icon="plus">Add new page</a>
    </div>
     <ul data-role="listview" data-inset="true" class="bottom-links" data-theme="b">
        <li>
            <a href="<%:Url.Content("~/admin/menu")%>" rel="external">Menu Config</a>
        </li>
        <li>
            <a href="<%:Url.Content("~/admin/settings")%>" rel="external">Settings</a>
        </li>
    </ul>
</asp:Content>