﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Areas.Admin.Models.ImageWithTextModel>" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%if (Model == null || (Model != null && Model.CurrentPage.PageId == 0))
      {%>
        Add New Page          
    <%}
      else
      {%>
        Edit Page
    <%}%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <%if (Model == null || (Model != null && Model.CurrentPage.PageId == 0))
      {%>
        <h2>Add image with text</h2>        
    <%}
      else
      {%>
        <h2>Edit image with text</h2>
    <%}%>
    <form action="<%:Url.Content("~/Admin/ImageWithText/Save")%>" method="post" enctype = "multipart/form-data" data-ajax="false">
        <%: Html.ValidationSummary(true) %>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.CurrentPage.Title) %>
            <%: Html.TextBoxFor(model => model.CurrentPage.Title, new { placeholder = "ex: About us" })%>
            <%: Html.ValidationMessageFor(model => model.CurrentPage.Title) %>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.CurrentPage.Alias) %>
            <%: Html.TextBoxFor(model => model.CurrentPage.Alias, new { placeholder="ex: about" })%>
            <%: Html.ValidationMessageFor(model => model.CurrentPage.Alias) %>
        </div>
        <div data-role="fieldcontain">
            <label for="theFile" class="ui-input-text"><%: Html.GetDisplayName(model => model.ImageUrl)%></label>            
            <input type="file" name="theFile" />
            <%: Html.ValidationMessageFor(model => model.ImageUrl)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Heading)%>
            <%: Html.EditorFor(model => model.Heading)%>
            <%: Html.ValidationMessageFor(model => model.Heading)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Text)%>
            <%: Html.EditorFor(model => model.Text, new { placeholder = "something about your company or yourself" })%>
            <%: Html.ValidationMessageFor(model => model.Text)%>
        </div>
        <% Html.RenderPartial("BasePageControls", Model);%>
   </form>
</asp:Content>
<asp:Content ID="content4" ContentPlaceHolderID="BottomContent" runat="server">
    <%if (Model != null)
      {%>
        <% Html.RenderPartial("DeletePopup", Model.CurrentPage);%>
    <% } %>
</asp:Content>