﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master"
    Inherits="System.Web.Mvc.ViewPage<mobx.mobi.DAL.MbMenu>" %>
<%@ Import Namespace="mobx.mobi" %>
<%@ Import Namespace="mobx.mobi.DAL.Managers" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Menu
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript">
        $(document).bind("pageinit", function ()
        {
            $("button[name='btnShiftUp']").click(function ()
            {
                var menuId = $(this).attr("val");
                $.ajax({
                    type: "post",
                    contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                    url: '<%:Url.Content("~/Admin/Menu/ShiftUp")%>',
                    data: {
                        MenuId: menuId
                    }
                }).done(function (msg)
                {
                    window.location.href = window.location.href;
                });
            });
            $("button[name='btnShiftDown']").click(function ()
            {
                var menuId = $(this).attr("val");
                $.ajax({
                    type: "post",
                    contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                    url: '<%:Url.Content("~/Admin/Menu/ShiftDown")%>',
                    data: {
                        MenuId: menuId
                    }
                }).done(function (msg)
                {
                    window.location.href = window.location.href;
                });
            });
            $("button[name='btnDelete']").click(function ()
            {
                var menuId = $(this).attr("val");
                $("#MenuId").val(menuId);
                $("#popupDelete").popup("open");
            });


        });
    </script>
    <%
        MenuManager menuMan = new MenuManager();
        var menuList = menuMan.GetSiteMenu();
        if (menuList != null &&
            menuList.Any())
        {
            PageManager pageMan = new PageManager();            
     %>
    <ul data-role="listview" data-inset="true">
        <%foreach(var menuItem in menuList)
          {
              string pageName = string.Empty;
              string menuId = menuItem.MenuId.ToString();
              if (menuItem.LinkToPageId.HasValue)
              {
                  var page = pageMan.GetPage(menuItem.LinkToPageId.Value);
                  pageName = page.Title;
              }
              else
              {
                  pageName = menuItem.LinkText;
              }
            %>
		<li>
			<h3><%=pageName%></h3>
            <p data-role="controlgroup" data-type="horizontal" data-mini="false">
                <button name="btnShiftUp" data-role="button" data-rel="dialog" data-transition="pop" data-icon="arrow-u" val="<%=menuId%>">Up</button>
                <button name="btnShiftDown" data-role="button" data-rel="dialog" data-transition="pop" data-icon="arrow-d" val="<%=menuId%>">Down</button>
                <button name="btnDelete" data-role="button" data-rel="dialog" data-transition="pop" data-icon="delete" val="<%=menuId%>">Delete</button>
            </p>
		</li>
        <%} %>
	</ul>
    <%} %>
    <div data-role="fieldcontain">
        <a href="<%:Url.Content("~/Admin/Menu/Add")%>" data-role="button" data-icon="plus" rel="external">Add menu item</a>
    </div>
    <div data-role="popup" id="popupDelete">
	    <div data-role="header" data-theme="b">
		    <h1>Delete</h1>
	    </div>
	    <div data-role="content" data-theme="b">
            <form action="<%:Url.Content("~/Admin/Menu/Delete")%>" method="post" data-ajax="false">
                <input type="hidden" id="MenuId" name="MenuId" value="" />
                <h3>Delete Link?</h3>
                <p>
                    <input type="submit" value="Delete" />
                    <a href="#one" data-role="button" data-theme="d" data-rel="back" data-icon="back">Cancel</a>
                </p>
            </form>
	    </div><!-- /content -->
	    <div data-role="footer" data-theme="b">
            &nbsp;
	    </div>
    </div>
</asp:Content>