﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Models.ContactFormModel>" %>
<%@Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <meta name="keywords" content="<%=Model.CurrentPage.MetaKeywords %>" />
    <meta name="description" content="<%=Model.CurrentPage.MetaDescription %>" />
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="TitleContent" runat="server">
    <%=Model.CurrentPage.Title %>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm()) { %>
        <%: Html.ValidationSummary() %>
        <% if (!string.IsNullOrEmpty(Model.Tel))
        {%>
            <a href="tel:<%=Model.Tel%>" data-role="button">Call: <%=Model.Tel%></a>
            <%: Html.HiddenFor(model => model.Tel)%>
        <% }%>
        <% if (!string.IsNullOrEmpty(Model.SMS))
        {%>
            <a href="sms:<%=Model.SMS%>" data-role="button">SMS: <%=Model.SMS%></a> 
            <%: Html.HiddenFor(model => model.SMS)%>
        <% }%>
        <% if (!string.IsNullOrEmpty(Model.Email) &&
               !Model.ShowContactForm)
        {%>
            <a href="mailto:<%=Model.Email%>?subject=Contact" data-role="button">Email: <%=Model.Email%></a> 
            <%: Html.HiddenFor(model => model.Email)%>
        <% } %>
        <% StringBuilder address = new StringBuilder();
            if (!string.IsNullOrEmpty(Model.Address))
            {
                address.Append(Model.Address);
                address.Append(", ");
            };
            if (!string.IsNullOrEmpty(Model.City))
            {
                address.Append(Model.City);
                address.Append(", ");
            }    
            if (!string.IsNullOrEmpty(Model.State))
            {
                address.Append(Model.State);
                address.Append(", ");
            } 
            address.Append(Model.Country);
            if (address.Length > 0)
            {
                string displayAddr = address.ToString().Replace(", ", "<br/>");
            %>
            <h3 style="margin-bottom:0px;">Address:</h3>
            <p style="margin-top:0px;">
                <%=displayAddr%>
            </p>
            <div>
                <a href="geo:0,0?q=<%=address.ToString()%>" data-role="button">Show Map</a>
            </div>
        <%} %>
        <%if (Model.ShowContactForm)
        {%>
            <div data-role="fieldcontain">
                <%:Html.LabelFor(model => model.VisitorName)%>
                <%:Html.TextBoxFor(model => model.VisitorName, new {placeholder = Model.VisitorName})%>
                <%:Html.ValidationMessageFor(model => model.VisitorName)%>
            </div>
            <div data-role="fieldcontain">
                <%:Html.LabelFor(model => model.VisitorEmail)%>
                <%:Html.EditorFor(model => model.VisitorEmail, new {placeholder = Model.VisitorEmail})%>
                <%:Html.ValidationMessageFor(model => model.VisitorEmail)%>
            </div>
             <div data-role="fieldcontain">
                <%:Html.LabelFor(model => model.EmailSubject)%>
                <%:Html.TextBoxFor(model => model.EmailSubject, new {placeholder = Model.EmailSubject})%>
                <%:Html.ValidationMessageFor(model => model.EmailSubject)%>
            </div>
            <div data-role="fieldcontain">
                <%:Html.LabelFor(model => model.EmailBody)%>
                <%:Html.EditorFor(model => model.EmailBody, new {placeholder = Model.EmailBody})%>
                <%:Html.ValidationMessageFor(model => model.EmailBody)%>
            </div>
            <div>
                <input type="submit" value="Submit" />
            </div>
         <% } %>
        <%: Html.HiddenFor(model => model.ShowContactForm) %>
        <%: Html.HiddenFor(model => model.CurrentPage.Alias) %>
        <%: Html.HiddenFor(model => model.CurrentPage.Title) %>
		<%: Html.HiddenFor(model => model.CurrentPage.PageId) %>
    <% } %>
</asp:Content>