﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Models.InstallModel>" %>
<%@ Import Namespace="System.Web.Mvc.Html" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <link href="<%:Url.Content("~/Content/Install/style.css")%>" type="text/css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Install mobx.mobi
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Welcome to mobx.mobi installation</h2>
    <form action="<%:Url.Content("~/Install/Index")%>" method="post" enctype = "multipart/form-data" data-ajax="false" id="installationform">
        <script type="text/javascript">
            $(document).bind("pageinit", function ()
            {
            
    //            $('#installationform').submit(function ()
    //            {
    //                if ($('form').valid())
    //                {
    //                    $('input[type=submit]', this).attr('disabled', 'disabled');
    //                }
                //            });
//                $('input:radio[name=DataProvider]').click(toggleProvider);
//                $('input:radio[name=SqlConnectionInfo]').click(toggleSqlConnectionInfo);
                //                $('input:radio[name=SqlAuthenticationType]').click(toggleSqlAuthenticationType);
                $('input:radio[name=DataProvider]').click(toggleProvider);
                $('input:radio[name=SqlConnectionInfo]').click(toggleSqlConnectionInfo);
                $('input:radio[name=SqlAuthenticationType]').click(toggleSqlAuthenticationType);

                toggleProvider();
                toggleSqlConnectionInfo();
                toggleSqlAuthenticationType();
            });

//            $(document).ready(function () {
//                $('input:radio[name=DataProvider]').click(toggleProvider);
//                $('input:radio[name=SqlConnectionInfo]').click(toggleSqlConnectionInfo);
//                $('input:radio[name=SqlAuthenticationType]').click(toggleSqlAuthenticationType);

//                toggleProvider();
//                toggleSqlConnectionInfo();
//                toggleSqlAuthenticationType();
//            });


            function toggleProvider() {
                var selectedProvider = $("input[name=DataProvider]:checked").attr('id');
                if (selectedProvider == 'provider_sqlce') {
                    $('#sqlConnectionInfo').hide();
                }
                else if (selectedProvider == 'provider_sqlserver') {
                    $('#sqlConnectionInfo').show();
                }
            }

            function toggleSqlConnectionInfo() {
                var selectedProvider = $("input[name=SqlConnectionInfo]:checked").attr('id');
                if (selectedProvider == 'sqlconnectioninfo_values') {
                    $('#sqlDatabaseInfo').show();
                    $('#sqlDatabaseConnectionString').hide();
                }
                else if (selectedProvider == 'sqlconnectioninfo_raw') {
                    $('#sqlDatabaseInfo').hide();
                    $('#sqlDatabaseConnectionString').show();
                }
            }

            function toggleSqlAuthenticationType() {
                var selectedProvider = $("input[name=SqlAuthenticationType]:checked").attr('id');
                if (selectedProvider == 'sqlauthenticationtype_sql') {
                    $('#pnlSqlServerUsername').show();
                    $('#pnlSqlServerPassword').show();
                }
                else if (selectedProvider == 'sqlauthenticationtype_windows') {
                    $('#pnlSqlServerUsername').hide();
                    $('#pnlSqlServerPassword').hide();
                }
            }


            (function () {
                function show() {
                    window.setTimeout(function () {
                        $.mobile.showPageLoadingMsg();
                        //document.getElementById("throbber").style.display = "block";
                    }, 1000);
                }

                if (document.addEventListener) {
                    document.addEventListener("submit", show, false);
                }
                else {
                    document.forms[0].attachEvent("onsubmit", show);
                }
            })();
        </script>
        <%: Html.ValidationSummary(true)%>
        <div data-role="collapsible" data-collapsed="false" data-theme="a" data-content-theme="c">
            <h4>Admin info</h4>
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.AdminEmail)%>
                <%: Html.TextBoxFor(model => model.AdminEmail)%>
                <%: Html.ValidationMessageFor(model => model.AdminEmail)%>
            </div>
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.AdminPassword)%>
                <%: Html.EditorFor(model => model.AdminPassword)%>
                <%: Html.ValidationMessageFor(model => model.AdminPassword)%>
            </div>
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.ConfirmPassword)%>
                <%: Html.EditorFor(model => model.ConfirmPassword)%>
                <%: Html.ValidationMessageFor(model => model.ConfirmPassword)%>
            </div>
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.InstallSampleData)%>
                <%: Html.CheckBoxFor(model => model.InstallSampleData)%>
                <%: Html.ValidationMessageFor(model => model.InstallSampleData)%>
            </div>
        </div>
        <div data-role="collapsible" data-collapsed="false" data-theme="a" data-content-theme="c">
            <h4>Database info</h4>
            <div data-role="fieldcontain">
                <%: Html.RadioButton("DataProvider", "sqlce", (Model.DataProvider == "sqlce"), new { id = "provider_sqlce" })%>
                <label for="provider_sqlce">Use built-in data storage (SQL Server Compact).</label>
                <%: Html.RadioButton("DataProvider", "sqlserver", (Model.DataProvider == "sqlserver"), new { id = "provider_sqlserver" })%>
                <label for="provider_sqlserver">Use SQL Server (or SQL Express) database. <b>[Recommended]</b></label>
            </div>
            <div id="sqlConnectionInfo">
                <div data-role="fieldcontain">
                    <%: Html.LabelFor(model => model.SqlServerCreateDatabase)%>
                    <%: Html.CheckBoxFor(x => x.SqlServerCreateDatabase)%>
                    <%: Html.ValidationMessageFor(model => model.SqlServerCreateDatabase)%>
                </div>
                <div data-role="fieldcontain">
                    <%: Html.RadioButton("SqlConnectionInfo", "sqlconnectioninfo_values", (Model.SqlConnectionInfo == "sqlconnectioninfo_values"), new { id = "sqlconnectioninfo_values" })%>
                    <label for="sqlconnectioninfo_values">Enter SQL connection values</label>
                    <%: Html.RadioButton("SqlConnectionInfo", "sqlconnectioninfo_raw", (Model.SqlConnectionInfo == "sqlconnectioninfo_raw"), new { id = "sqlconnectioninfo_raw" })%>
                    <label for="sqlconnectioninfo_raw">Enter raw connection string (advanced)</label>
                </div>
                <div id="sqlDatabaseInfo">
                    <div data-role="fieldcontain">
                        <label for="SqlServerName">SQL Server name:</label>
                        <%:Html.TextBoxFor(x => x.SqlServerName, new { @class = "textbox" })%>
                    </div>
                    <div data-role="fieldcontain">
                        <label for="SqlDatabaseName">Database name:</label>
                        <%:Html.TextBoxFor(x => x.SqlDatabaseName, new { @class = "textbox" })%>
                    </div>
                    <div data-role="fieldcontain">
                        <%:Html.RadioButton("SqlAuthenticationType", "sqlauthentication", (Model.SqlAuthenticationType == "sqlauthentication"), new { id = "sqlauthenticationtype_sql" })%>
                        <label for="sqlauthenticationtype_sql">Use SQL Server account</label>
                        <%:Html.RadioButton("SqlAuthenticationType", "windowsauthentication", (Model.SqlAuthenticationType == "windowsauthentication"), new { id = "sqlauthenticationtype_windows" })%>
                        <label for="sqlauthenticationtype_windows">Use integrated Windows authentication</label>
                    </div>
                        <div id="pnlSqlServerUsername">
                            <div data-role="fieldcontain">
                                <label for="SqlServerUsername">SQL Username:</label>
                                <%:Html.TextBoxFor(x => x.SqlServerUsername, new { @class = "textbox" })%>
                            </div>
                        </div>
                        <div id="pnlSqlServerPassword">
                            <div data-role="fieldcontain">
                                <label for="SqlServerPassword">SQL Password:</label>
                                <%:Html.TextBoxFor(x => x.SqlServerPassword, new { @class = "textbox", autocomplete="off" })%>
                            </div>
                        </div>
                    </div>
                <div id="sqlDatabaseConnectionString">
                    <div data-role="fieldcontain">
                        <label for="DatabaseConnectionString">Connection string:</label>
                        <%: Html.TextBoxFor(x => x.DatabaseConnectionString, new { @class = "textbox", style = "width:90%;" })%>
                    </div>
                    <div>
                        <span class="hint">Example:<br />
                            Data Source=sqlServerName;Initial Catalog=dbName;Persist Security Info=True;User
                            ID=userName;Password=password
                        </span>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <input type="submit" value="Install" data-theme="b" />
        </div>
        <div id="throbber">
            <div class="curtain">
            </div>
            <div class="curtain-content">
                <div>
                    <h1 id="setUpHeader">
                        Installing mobx.mobi</h1>
                    <p>
                        <img src="<%: Url.Content("~/Content/images/loader.gif") %>" alt="Working" />
                    </p>
                </div>
            </div>
        </div>
    </form>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="NavContent" runat="server">
</asp:Content>