﻿using System.Web.Mvc;

namespace mobx.mobi.Areas.Admin
{
    public class AdminAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Admin";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Admin_default",
                "Admin/{controller}/{action}/{id}",
                new { controller="Default", action = "Index", id = UrlParameter.Optional },
                new string[] { "mobx.mobi.Areas.Admin.Controllers" }
            ).SetRouteAlias("Admin");
        }
    }
}
