﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace mobx.mobi.Areas.Admin.Models
{
    public class ContactFormBase
    {
        [DataType(DataType.PhoneNumber)]
        [DisplayName("Tel (click to call)")]
        public string Tel { get; set; }

        [DataType(DataType.PhoneNumber)]
        [DisplayName("SMS (click to SMS)")]
        public string SMS { get; set; }

        [DataType(DataType.EmailAddress)]
        [DisplayName("Email (click to email)")]
        public string Email { get; set; }

        [DisplayName("Show contact form instead of email")]
        public bool ShowContactForm { get; set; }

        [DisplayName("Address (as it appears in Google maps)")]
        public string Address { get; set; }

        [DisplayName("City")]
        public string City { get; set; }

        [DisplayName("State")]
        public string State { get; set; }

        [DisplayName("Country")]
        public string Country { get; set; }
    }
}