﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Areas.Admin.Models.ContactFormModel>" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    <%if (Model == null || (Model != null && Model.CurrentPage.PageId == 0))
      {%>
        Add New Page          
    <%}
      else
      {%>
        Edit Page
    <%}%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <%if (Model == null || (Model != null && Model.CurrentPage.PageId == 0))
      {%>
        <h2>Add Contact Form</h2>        
    <%}
      else
      {%>
        <h2>Edit Contact Form</h2>
    <%}%>
    <% using (Html.BeginForm("Save","ContactForm")) { %>
        <%: Html.ValidationSummary(true) %>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.CurrentPage.Title) %>
            <%: Html.TextBoxFor(model => model.CurrentPage.Title, new { placeholder = "ex: Contact form" })%>
            <%: Html.ValidationMessageFor(model => model.CurrentPage.Title) %>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.CurrentPage.Alias) %>
            <%: Html.TextBoxFor(model => model.CurrentPage.Alias, new { placeholder="ex: contact" })%>
            <%: Html.ValidationMessageFor(model => model.CurrentPage.Alias) %>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Tel)%>
            <%: Html.EditorFor(model => model.Tel, new { placeholder = "your phone number" })%>
            <%: Html.ValidationMessageFor(model => model.Tel)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.SMS)%>
            <%: Html.EditorFor(model => model.SMS, new { placeholder = "your number for sms" })%>
            <%: Html.ValidationMessageFor(model => model.SMS)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Email)%>
            <%: Html.EditorFor(model => model.Email, new { placeholder = "your email" })%>
            <%: Html.ValidationMessageFor(model => model.Email)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.ShowContactForm)%>
            <%: Html.EditorFor(model => model.ShowContactForm)%>
            <%: Html.ValidationMessageFor(model => model.ShowContactForm)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Address)%>
            <%: Html.EditorFor(model => model.Address)%>
            <%: Html.ValidationMessageFor(model => model.Address)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.City)%>
            <%: Html.EditorFor(model => model.City)%>
            <%: Html.ValidationMessageFor(model => model.City)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.State)%>
            <%: Html.EditorFor(model => model.State)%>
            <%: Html.ValidationMessageFor(model => model.State)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.Country)%>
            <%: Html.EditorFor(model => model.Country)%>
            <%: Html.ValidationMessageFor(model => model.Country)%>
        </div>
        <div data-role="fieldcontain">
            <%: Html.LabelFor(model => model.CurrentPage.Published)%>
            <%: Html.EditorFor(model => model.CurrentPage.Published)%>
            <%: Html.ValidationMessageFor(model => model.CurrentPage.Published)%>
        </div>
        <%: Html.HiddenFor(model => model.CurrentPage.PageId) %>
        <div>
            <input type="submit" value="Save" />
            <a href="<%:Url.Content("~/Admin/")%>" data-role="button" rel="external" data-theme="d">Cancel</a>
			<%if (Model != null && Model.CurrentPage.PageId > 0)
            {%>
                <a href="#deletepopup" data-role="button" data-rel="dialog" data-transition="pop" data-icon="delete">Delete</a>
            <% } %>
        </div>
    <% } %>
</asp:Content>
<asp:Content ID="content4" ContentPlaceHolderID="BottomContent" runat="server">
    <%if (Model != null)
      {%>
        <% Html.RenderPartial("DeletePopup", Model.CurrentPage);%>
    <% } %>
</asp:Content>