﻿<%@ Page Title="Add Page" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<mobx.mobi.Core.PageAttribute>>" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Add Page
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ul data-role="listview" data-inset="true">
        <li data-role="list-divider">Add new page</li>
        <% foreach (var item in Model) 
        {%>
            <%if (item.ShowInGallery)
            {%>
                <li data-icon="plus">
                    <a href="<%:Url.Content("~/Admin/Default/Add/" + item.ClassName)%>">
                        <%if (!string.IsNullOrEmpty(item.ThumbImageUrl))
                        {%>
                            <img src="<%:Url.Content(item.ThumbImageUrl)%>" alt="" />
                        <% } %>
                        <h3><%:Html.DisplayFor(modelItem => item.Title)%></h3>
                        <p>
                            <%: Html.DisplayFor(modelItem => item.Description) %>
                        </p>
                    </a>
                </li>
            <% } %>
        <%}%>
    </ul>
</asp:Content>