﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<mobx.mobi.DAL.MbMenu>" %>
<%@ Import Namespace="System.Web.Mvc.Html" %>
<%@ Import namespace="mobx.mobi" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitleContent" runat="server">
    Add Menu Item          
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Add Menu Item</h2>
    <form action="<%:Url.Content("~/Admin/Menu/Add")%>" method="post" data-ajax="false">
        <script type="text/javascript">
            $(document).bind("pageinit", function ()
            {
                $("input:radio[name='rdLink']").click(toggleLink);
                toggleLink();
            });
            function toggleLink()
            {
                $("input[name='rdLink']").each(function (index, element)
                {
                    var val = $(element).attr("value");
                    $("#" + val).hide();
                });
                var selectedCheckboxVal = $("input[name='rdLink']:checked").attr("value");
                $("#"+selectedCheckboxVal).show();
            }
        </script>
        <%: Html.ValidationSummary(false) %>
        <div data-role="fieldcontain">
            <%
                string checked1 ="";
                string checked2 ="";
                if (Model != null && !string.IsNullOrEmpty(Model.LinkUrl))
                    checked2 = " checked=\"checked\"";
                else
                    checked1 = " checked=\"checked\"";
            %>
            <input type="radio" name="rdLink" id="rdLink1" value="divLinkToPage"<%=checked1%> />
            <label for="rdLink1">Link to existing page</label>
            <input type="radio" name="rdLink" id="rdLink2" value="divLinkExternal"<%=checked2%> />
            <label for="rdLink2">Link to external site</label>
        </div>
        <div id="divLinkToPage">
            <div data-role="fieldcontain">
                 <% mobx.mobi.DAL.Managers.PageManager pageMan = new mobx.mobi.DAL.Managers.PageManager();
                   var pages = pageMan.GetPages(true);
                   var selectList = pages.Select(x=>new SelectListItem
                                    {
                                        Selected = (Model != null && x.PageId == Model.LinkToPageId),
                                        Text = x.Title,
                                        Value = x.PageId.ToString()
                                    }).ToList();
                   selectList.Insert(0, new SelectListItem { Text = "Select", Value = "" });
                %>
                <%: Html.LabelFor(model => model.LinkToPageId) %>
                <%: Html.DropDownListFor(model => model.LinkToPageId, selectList)%>
                <%: Html.ValidationMessageFor(model => model.LinkToPageId) %>
            </div>
        </div>
        <div id="divLinkExternal">
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.LinkText) %>
                <%: Html.EditorFor(model => model.LinkText) %>
                <%: Html.ValidationMessageFor(model => model.LinkText) %>
            </div>
            <div data-role="fieldcontain">
                <%: Html.LabelFor(model => model.LinkUrl) %>
                <%: Html.EditorFor(model => model.LinkUrl) %>
                <%: Html.ValidationMessageFor(model => model.LinkUrl) %>
            </div>
        </div>
        <%: Html.HiddenFor(model => model.SortOrder)%>
        <%: Html.HiddenFor(model => model.MenuId) %>
        <div>
            <input type="submit" value="Save" />
            <a href="<%:Url.Content("~/Admin/Menu")%>" data-role="button" rel="external" data-theme="d">Cancel</a>
        </div>
    </form>
</asp:Content>