﻿<%@ Page Title="Settings" Language="C#" MasterPageFile="~/Areas/Admin/Views/Shared/Admin.Master"
    Inherits="System.Web.Mvc.ViewPage<mobx.mobi.Areas.Admin.Models.SettingsModel>" %>
<%@ Import Namespace="mobx.mobi" %>
<asp:Content ID="Content3" ContentPlaceHolderID="MetaContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Settings
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using (Html.BeginForm())
       { %>
    <%: Html.ValidationSummary(true) %>
    <div data-role="fieldcontain">
        <%: Html.LabelFor(model => model.Theme) %>
        <select id="Theme" name="Theme">
            <option value="a"<%=Html.GetSelected(Model.Theme, "a")%>>Black</option>
            <option value="b"<%=Html.GetSelected(Model.Theme, "b")%>>Silver Blue</option>
            <option value="c"<%=Html.GetSelected(Model.Theme, "c")%>>Light Silver</option>
            <option value="d"<%=Html.GetSelected(Model.Theme, "d")%>>Dark Silver</option>
            <option value="e"<%=Html.GetSelected(Model.Theme, "e")%>>Yellow Black</option>
        </select>
        <%: Html.ValidationMessageFor(model => model.Theme) %>
    </div>
    <div data-role="fieldcontain">
        <%: Html.LabelFor(model => model.Transition)%>
        <select id="Transition" name="Transition">
            <option value="fade"<%=Html.GetSelected(Model.Transition, "fade")%>>Fade</option>
            <option value="pop"<%=Html.GetSelected(Model.Transition, "pop")%>>Pop</option>
            <option value="flip"<%=Html.GetSelected(Model.Transition, "flip")%>>Flip</option>
            <option value="turn"<%=Html.GetSelected(Model.Transition, "turn")%>>Turn</option>
            <option value="flow"<%=Html.GetSelected(Model.Transition, "flow")%>>Flow</option>
            <option value="slidefade"<%=Html.GetSelected(Model.Transition, "slidefade")%>>Slide and fade</option>
            <option value="slide"<%=Html.GetSelected(Model.Transition, "slide")%>>Slide</option>
            <option value="slideup"<%=Html.GetSelected(Model.Transition, "slideup")%>>Slide up</option>
            <option value="slidedown"<%=Html.GetSelected(Model.Transition, "slidedown")%>>Slide down</option>
            <option value="none"<%=Html.GetSelected(Model.Transition, "none")%>>None</option>
        </select>
        <%: Html.ValidationMessageFor(model => model.Transition)%>
    </div>
    <div data-role="fieldcontain">
        <%: Html.LabelFor(model => model.GoogleAnalytics)%>
        <%: Html.TextBoxFor(model => model.GoogleAnalytics, new { placeholder = "ex:UA-XXXXX-1" })%>
        <%: Html.ValidationMessageFor(model => model.GoogleAnalytics)%>
    </div>
    <div data-role="fieldcontain">
        <% mobx.mobi.DAL.Managers.PageManager pageMan = new mobx.mobi.DAL.Managers.PageManager();
           var pages = pageMan.GetPages(true);
           var selectList = pages.Select(x=>new SelectListItem
                            { 
                                Selected = (x.PageId == Model.DefaultPageId),
                                Text = x.Title,
                                Value = x.PageId.ToString()
                            }).ToList();
           selectList.Insert(0, new SelectListItem { Text = "Select", Value = "0" });
        %>
        <%: Html.LabelFor(model => model.DefaultPageId)%>
        <%: Html.DropDownListFor(model => model.DefaultPageId, selectList)%>
        <%: Html.ValidationMessageFor(model => model.DefaultPageId)%>
    </div>
    <div>
        <input type="submit" value="Save" />
        <a href="<%:Url.Content("~/Admin/")%>" data-role="button" data-direction="reverse"
            data-rel="back" data-theme="d">Cancel</a>
    </div>
    <ul data-role="listview" data-inset="true" class="bottom-links" data-theme="b">
        <li>
            <a href="<%:Url.Content("~/admin/account/changepassword")%>">Change Password</a>
        </li>
    </ul>
    <% } %>
</asp:Content>
