﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using mobx.mobi.DAL;

namespace mobx.mobi.Controllers
{
    public class DefaultController : Controller
    {
        public ActionResult DefaultPage()
        {
             if (string.IsNullOrEmpty(MbCommon.GetConnectionString()))
                 return Redirect("/Install/Index/");

            MbPage page = Singleton.DB.MbPages
                                  .Where(p => p.Published)
                                  .FirstOrDefault();
            if (page != null)
            {
                string url = "~/" + page.Alias;
                return Redirect(url);
            }
            return RedirectToAction("EmptyPage");
        }
        public ActionResult EmptyPage()
        {
            return View();
            ////return new HttpNotFoundResult();
        }

        public ActionResult EmptySite()
        {
            return View();
        }
    }
}
