﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using mobx.mobi.Areas.Admin.Models;
using mobx.mobi.DAL;
using mobx.mobi.DAL.Managers;

namespace mobx.mobi.Controllers
{
    public class ImageWithTextController : Controller
    {
        //
        // GET
        public ActionResult Index()
        {
            string pageAlias = MbCommon.CurrentPageAlias;
            PageManager pageManager = new PageManager();
            MbPage page = pageManager.GetPage(pageAlias);
            ImageWithTextModel model = null;
            if (page != null)
            {
                model = new ImageWithTextModel(page);
                if (model != null &&
                    model.Text != null)
                {
                    model.Text = model.Text.Replace(Environment.NewLine, "<br/>");
                }
            }
            return View(model);
        }
    }
}
