﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.ComponentModel;
using mobx.mobi.DAL;
using System.Web.Script.Serialization;

namespace mobx.mobi.Models
{
    public class ContactFormModel : mobx.mobi.Areas.Admin.Models.ContactFormModel
    {
        public ContactFormModel()
        {
            
        }

        public ContactFormModel(MbPage mbpage)
            : base(mbpage)
        {
        }

        [DisplayName("Your Name")]
        [Required(ErrorMessage = "Name is required")]
        public string VisitorName { get; set; }

        [DisplayName("Your Email")]
        [DataType(DataType.EmailAddress)]
        [Required(ErrorMessage = "Email is required")]
        public string VisitorEmail { get; set; }

        [DisplayName("Subject")]
        [Required(ErrorMessage = "Subject is required")]
        public string EmailSubject { get; set; }

        [DisplayName("Message")]
        [DataType(DataType.MultilineText)]
        [Required(ErrorMessage = "Message is required")]
        public string EmailBody { get; set; }
    }
}