﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>
<%@ Import Namespace="mobx.mobi" %>
<%@ Import Namespace="mobx.mobi.DAL" %>
<%@ Import Namespace="mobx.mobi.DAL.Managers" %>
<%MenuManager menuMan = new MenuManager();
  var menuList = menuMan.GetSiteMenu();
  if (menuList != null &&
      menuList.Any())
  {%>
	<ul data-role="listview" data-inset="true" class="bottom-links" data-theme="b">
        <%
        PageManager pageMan = new PageManager();
            foreach(var menuItem in menuList)
        {
            string pageName = string.Empty;
            string url = string.Empty;
            string menuId = menuItem.MenuId.ToString();
            bool external = false;
            if (menuItem.LinkToPageId.HasValue)
            {
                var page = pageMan.GetPage(menuItem.LinkToPageId.Value);
                pageName = page.Title;
                url = "~/" + page.Alias + "/";
            }
            else
            {
                pageName = menuItem.LinkText;
                url = menuItem.LinkUrl;
                external = true;
            }

            string rel = string.Empty;
            if (external)
            {
                rel = "rel=\"external\"";
            }
            %>
		    <li>
                <a href="<%:Url.Content(url)%>"<%=rel%>>
                    <%=pageName%>
                </a>
            </li>
        <%} %>
	</ul>
<%} %>